g2bAPI Reference
Git Hub

List available repositories

Lists repositories available through the caller’s GitHub App installations.

GET
/v1/github/repositories

Lists repositories available through the caller’s GitHub App installations.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Query Parameters

q?string
Lengthlength <= 256

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/github/repositories"
{  "repositories": [    {      "repository_id": 1,      "installation_id": 1,      "owner": "string",      "name": "string",      "full_name": "string",      "url": "http://example.com",      "avatar_url": "http://example.com",      "private": true,      "default_branch": "string"    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": "Unauthorized"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}